List Devices – Fleets API – MediaKind
List Devices
Get https://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/software
List software available to preload on the specified device.
RBAC Capability Required: fleet.devicesoftware.get
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
- project_name
stringRequired - name
stringRequired
Query parameters
- $orderby
stringOptional
Specifies the key by which the result collection should be ordered. - $filter
stringOptional
Restricts the set of items returned. - $top
stringOptional
Specifies a non-negative integernthat limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified valuen. - $skiptoken
stringOptional
Specifies a start offset to support paginated results.
Use@odata.nextLinkin the result object to enumerate the collection - it will be present only if there's more than one page of entities. - $label_key
stringOptional
Filters the set to the specified label key.
If multiple $label_keys are specified, matching items must have all labels. - $label
stringOptional
Filters the set to the specified label key/value pair.
Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned.
Response
200 A list of software
- @odata.nextLink
stringOptional
@odata.nextLink URL if the page length and number of items match. - supplemental
objectListResponseSupplementalSchema Required
Supplemental info- count
integerRequired
Number of items returned - kind
stringRequired
Type of items in the list - operation
stringRequired
Operation type. Should always say 'list' - pagination
objectPaginationInfoSchema Required
Pagination info- end
integerRequired
Position of the last item in the list - records
integerRequired
Total number of items returned in the list - start
integerRequired
Position of the first item in the list - total
integerRequired
Total number of items in the project
- end
- subscription
objectProjectInfoSchema Optional
Project info- id
stringRequired
Project ID - name
stringRequired
Project name
- id
- value
list of objectsDeviceSoftwareGetBody Required
A list of software versions available for this device.kind
stringOptional
Softwaremetadata
objectDefaultMetadata Required
Software metadata.- displayName
stringRequired
A human-readable name for the resource. - labels
map from strings to stringOptional
A dictionary of labels associated with the resource. Maximum number of labels: 32. Maximum length of a label or value: 256 characters.
- displayName
spec
objectSoftwareGetSpec Required
Software specification.- deprecatedOn
stringOptional
The date the software was deprecated. - displayName
stringOptional
An optional display name of the software. - minimumVersion
stringOptional
Minimum software version required on a standalone device before upgrading to this release. - minimumVersionHA
stringOptional
Minimum software version required on an HA node before upgrading to this release. - released
stringRequired
The date the software was released. - version
stringOptional
A version string.
- deprecatedOn
- count
Errors
400 Bad Request
- error
objectErrorDetail Required
Pertinent information about the error- code
stringRequired
The error code. - detail
stringRequired
The error message. - extraDetail
map from strings to anyOptional
Extra information regarding this error.- [any key]
any
- [any key]
- ref
stringRequired
A reference to the request that caused the error. - status
integerRequired
The HTTP status code
- code
- error
401 Unauthorized
....403 Forbidden
....404 Not Found
....429 Too Many Requests
....500 Internal Server Error
....